Index: src/sas/sascalc/calculator/BaseComponent.py
===================================================================
--- src/sas/sascalc/calculator/BaseComponent.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/calculator/BaseComponent.py	(revision 574adc767a9e86744546f8edd6a23dc4f81914ad)
@@ -143,5 +143,5 @@
                 qdist[1].__class__.__name__ != 'ndarray':
                 msg = "evalDistribution expects a list of 2 ndarrays"
-                raise RuntimeError, msg
+                raise RuntimeError(msg)
 
             # Extract qx and qy for code clarity
@@ -167,5 +167,5 @@
             mesg = "evalDistribution is expecting an ndarray of scalar q-values"
             mesg += " or a list [qx,qy] where qx,qy are 2D ndarrays."
-            raise RuntimeError, mesg
+            raise RuntimeError(mesg)
 
 
@@ -228,5 +228,5 @@
                     return
 
-        raise ValueError, "Model does not contain parameter %s" % name
+        raise ValueError("Model does not contain parameter %s" % name)
 
     def getParam(self, name):
@@ -250,5 +250,5 @@
                     return self.params[item]
 
-        raise ValueError, "Model does not contain parameter %s" % name
+        raise ValueError("Model does not contain parameter %s" % name)
 
     def getParamList(self):
@@ -294,20 +294,20 @@
         add
         """
-        raise ValueError, "Model operation are no longer supported"
+        raise ValueError("Model operation are no longer supported")
     def __sub__(self, other):
         """
         sub
         """
-        raise ValueError, "Model operation are no longer supported"
+        raise ValueError("Model operation are no longer supported")
     def __mul__(self, other):
         """
         mul
         """
-        raise ValueError, "Model operation are no longer supported"
+        raise ValueError("Model operation are no longer supported")
     def __div__(self, other):
         """
         div
         """
-        raise ValueError, "Model operation are no longer supported"
+        raise ValueError("Model operation are no longer supported")
 
 
Index: src/sas/sascalc/calculator/c_extensions/sld2i_module.cpp
===================================================================
--- src/sas/sascalc/calculator/c_extensions/sld2i_module.cpp	(revision b523c0e4093c0c8e82cebd10672473d88adeaee9)
+++ src/sas/sascalc/calculator/c_extensions/sld2i_module.cpp	(revision 1d014cbb271bb612a92607b84c582f19f50b2b11)
@@ -5,4 +5,12 @@
 #include <stdio.h>
 #include <sld2i.hh>
+
+#if PY_MAJOR_VERSION < 3
+typedef void (*PyCapsule_Destructor)(PyObject *);
+typedef void (*PyCObject_Destructor)(void *);
+#define PyCapsule_New(pointer, name, destructor) (PyCObject_FromVoidPtr(pointer, (PyCObject_Destructor)destructor))
+#define PyCapsule_GetPointer(capsule, name) (PyCObject_AsVoidPtr(capsule))
+#endif
+
 
 // Utilities
@@ -25,6 +33,7 @@
  * Delete a GenI object
  */
-void del_sld2i(void *ptr){
-	GenI* sld2i = static_cast<GenI *>(ptr);
+void
+del_sld2i(PyObject *obj){
+	GenI* sld2i = static_cast<GenI *>(PyCapsule_GetPointer(obj, "GenI"));
 	delete sld2i;
 	return;
@@ -71,5 +80,5 @@
 	OUTVECTOR(vol_pix_obj, vol_pix, n_x);
 	GenI* sld2i = new GenI(n_pix,x_val,y_val,z_val,sldn_val,mx_val,my_val,mz_val,vol_pix,inspin,outspin,stheta);
-	return PyCObject_FromVoidPtr(sld2i, del_sld2i);
+	return PyCapsule_New(sld2i, "GenI", del_sld2i);
 }
 
@@ -97,5 +106,5 @@
 
 	// Set the array pointers
-	void *temp = PyCObject_AsVoidPtr(gen_obj);
+	void *temp = PyCapsule_GetPointer(gen_obj, "GenI");
 	GenI* s = static_cast<GenI *>(temp);
 
@@ -125,5 +134,5 @@
 
 	// Set the array pointers
-	void *temp = PyCObject_AsVoidPtr(gen_obj);
+	void *temp = PyCapsule_GetPointer(gen_obj, "GenI");
 	GenI* s = static_cast<GenI *>(temp);
 
@@ -146,11 +155,48 @@
 };
 
-
-#ifndef PyMODINIT_FUNC	/* declarations for DLL import/export */
-#define PyMODINIT_FUNC void
+#define MODULE_DOC "Sld2i C Library"
+#define MODULE_NAME "sld2i"
+#define MODULE_INIT2 initsld2i
+#define MODULE_INIT3 PyInit_sld2i
+#define MODULE_METHODS module_methods
+
+/* ==== boilerplate python 2/3 interface bootstrap ==== */
+
+
+#if defined(WIN32) && !defined(__MINGW32__)
+    #define DLL_EXPORT __declspec(dllexport)
+#else
+    #define DLL_EXPORT
 #endif
-PyMODINIT_FUNC
-initsld2i(void)
-{
-    Py_InitModule3("sld2i", module_methods, "Sld2i module");
-}
+
+#if PY_MAJOR_VERSION >= 3
+
+  DLL_EXPORT PyMODINIT_FUNC MODULE_INIT3(void)
+  {
+    static struct PyModuleDef moduledef = {
+      PyModuleDef_HEAD_INIT,
+      MODULE_NAME,         /* m_name */
+      MODULE_DOC,          /* m_doc */
+      -1,                  /* m_size */
+      MODULE_METHODS,      /* m_methods */
+      NULL,                /* m_reload */
+      NULL,                /* m_traverse */
+      NULL,                /* m_clear */
+      NULL,                /* m_free */
+    };
+    return PyModule_Create(&moduledef);
+  }
+
+#else /* !PY_MAJOR_VERSION >= 3 */
+
+  DLL_EXPORT PyMODINIT_FUNC MODULE_INIT2(void)
+  {
+    Py_InitModule4(MODULE_NAME,
+		 MODULE_METHODS,
+		 MODULE_DOC,
+		 0,
+		 PYTHON_API_VERSION
+		 );
+  }
+
+#endif /* !PY_MAJOR_VERSION >= 3 */
Index: src/sas/sascalc/calculator/instrument.py
===================================================================
--- src/sas/sascalc/calculator/instrument.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/calculator/instrument.py	(revision 574adc767a9e86744546f8edd6a23dc4f81914ad)
@@ -222,7 +222,6 @@
         """
         # check if the wavelength is in range
-        if min(band) < self.min or\
-                max(band) > self.max:
-            raise
+        if min(band) < self.min or max(band) > self.max:
+            raise ValueError("band out of range")
         self.band = band
 
@@ -239,7 +238,6 @@
         """
         # check if the wavelength is in range
-        if wavelength < min(self.band) or\
-                wavelength > max(self.band):
-            raise
+        if wavelength < min(self.band) or wavelength > max(self.band):
+            raise ValueError("wavelength out of range")
         self.wavelength = wavelength
         validate(wavelength)
@@ -324,5 +322,5 @@
             plt.show()
         except:
-            raise RuntimeError, "Can't import matplotlib required to plot..."
+            raise RuntimeError("Can't import matplotlib required to plot...")
 
 
Index: src/sas/sascalc/calculator/resolution_calculator.py
===================================================================
--- src/sas/sascalc/calculator/resolution_calculator.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sascalc/calculator/resolution_calculator.py	(revision 574adc767a9e86744546f8edd6a23dc4f81914ad)
@@ -4,15 +4,15 @@
 instrumental parameters.
 """
-from instrument import Sample
-from instrument import Detector
-from instrument import TOF as Neutron
-from instrument import Aperture
-# import math stuffs
-from math import pi
-from math import sqrt
+import sys
+from math import pi, sqrt
 import math
+import logging
+
 import numpy as np
-import sys
-import logging
+
+from .instrument import Sample
+from .instrument import Detector
+from .instrument import TOF as Neutron
+from .instrument import Aperture
 
 logger = logging.getLogger(__name__)
@@ -208,5 +208,5 @@
         if wavelength == 0:
             msg = "Can't compute the resolution: the wavelength is zero..."
-            raise RuntimeError, msg
+            raise RuntimeError(msg)
         return self.intensity
 
@@ -379,14 +379,14 @@
         if qx_min < self.qx_min:
             self.qx_min = qx_min
-            #raise ValueError, msg
+            #raise ValueError(msg)
         if qx_max > self.qx_max:
             self.qx_max = qx_max
-            #raise ValueError, msg
+            #raise ValueError(msg)
         if qy_min < self.qy_min:
             self.qy_min = qy_min
-            #raise ValueError, msg
+            #raise ValueError(msg)
         if qy_max > self.qy_max:
             self.qy_max = qy_max
-            #raise ValueError, msg
+            #raise ValueError(msg)
         if not full_cal:
             return None
@@ -503,5 +503,5 @@
         # otherwise
         else:
-            raise ValueError, " Improper input..."
+            raise ValueError(" Improper input...")
         # get them squared
         sigma = x_comp * x_comp
@@ -706,5 +706,5 @@
             #self.set_wavelength(wavelength)
         else:
-            raise
+            raise TypeError("invalid wavlength---should be list or float")
 
     def set_wave_spread(self, wavelength_spread):
@@ -717,5 +717,5 @@
             self.wave.set_wave_spread_list([wavelength_spread])
         else:
-            raise
+            raise TypeError("invalid wavelength spread---should be list or float")
 
     def set_wavelength(self, wavelength):
@@ -766,5 +766,5 @@
         """
         if len(size) < 1 or len(size) > 2:
-            raise RuntimeError, "The length of the size must be one or two."
+            raise RuntimeError("The length of the size must be one or two.")
         self.aperture.set_source_size(size)
 
@@ -783,5 +783,5 @@
         """
         if len(size) < 1 or len(size) > 2:
-            raise RuntimeError, "The length of the size must be one or two."
+            raise RuntimeError("The length of the size must be one or two.")
         self.aperture.set_sample_size(size)
 
@@ -806,5 +806,5 @@
         """
         if len(distance) < 1 or len(distance) > 2:
-            raise RuntimeError, "The length of the size must be one or two."
+            raise RuntimeError("The length of the size must be one or two.")
         self.aperture.set_sample_distance(distance)
 
@@ -816,5 +816,5 @@
         """
         if len(distance) < 1 or len(distance) > 2:
-            raise RuntimeError, "The length of the size must be one or two."
+            raise RuntimeError("The length of the size must be one or two.")
         self.sample.set_distance(distance)
 
@@ -826,5 +826,5 @@
         """
         if len(distance) < 1 or len(distance) > 2:
-            raise RuntimeError, "The length of the size must be one or two."
+            raise RuntimeError("The length of the size must be one or two.")
         self.detector.set_distance(distance)
 
@@ -998,5 +998,5 @@
             pix_y_size = detector_pix_size[1]
         else:
-            raise ValueError, " Input value format error..."
+            raise ValueError(" Input value format error...")
         # Sample to detector distance = sample slit to detector
         # minus sample offset
Index: src/sas/sascalc/calculator/sas_gen.py
===================================================================
--- src/sas/sascalc/calculator/sas_gen.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/calculator/sas_gen.py	(revision 1d014cbb271bb612a92607b84c582f19f50b2b11)
@@ -5,15 +5,24 @@
 from __future__ import print_function
 
-import sas.sascalc.calculator.core.sld2i as mod
-from sas.sascalc.calculator.BaseComponent import BaseComponent
+import os
+import sys
+import copy
+import logging
+
 from periodictable import formula
 from periodictable import nsf
 import numpy as np
-import os
-import copy
-import sys
-import logging
+
+from .core import sld2i as mod
+from .BaseComponent import BaseComponent
 
 logger = logging.getLogger(__name__)
+
+if sys.version_info[0] < 3:
+    def decode(s):
+        return s
+else:
+    def decode(s):
+        return s.decode() if isinstance(s, bytes) else s
 
 MFACTOR_AM = 2.853E-12
@@ -34,5 +43,5 @@
         factor = MFACTOR_MT
     else:
-        raise ValueError, "Invalid valueunit"
+        raise ValueError("Invalid valueunit")
     sld_m = factor * mag
     return sld_m
@@ -100,5 +109,5 @@
         """
         if self.data_vol is None:
-            raise
+            raise TypeError("data_vol is missing")
         self.data_vol = volume
 
@@ -174,5 +183,5 @@
             if len(x[1]) > 0:
                 msg = "Not a 1D."
-                raise ValueError, msg
+                raise ValueError(msg)
             i_out = np.zeros_like(x[0])
             # 1D I is found at y =0 in the 2D pattern
@@ -181,5 +190,5 @@
         else:
             msg = "Q must be given as list of qx's and qy's"
-            raise ValueError, msg
+            raise ValueError(msg)
 
     def runXY(self, x=0.0):
@@ -196,5 +205,5 @@
         else:
             msg = "Q must be given as list of qx's and qy's"
-            raise ValueError, msg
+            raise ValueError(msg)
 
     def evalDistribution(self, qdist):
@@ -214,5 +223,5 @@
             mesg = "evalDistribution is expecting an ndarray of "
             mesg += "a list [qx,qy] where qx,qy are arrays."
-            raise RuntimeError, mesg
+            raise RuntimeError(mesg)
 
 class OMF2SLD(object):
@@ -288,5 +297,5 @@
                 z_dir2 *= z_dir2
                 mask = (x_dir2 + y_dir2 + z_dir2) <= 1.0
-            except:
+            except Exception:
                 logger.error(sys.exc_value)
         self.output = MagSLD(self.pos_x[mask], self.pos_y[mask],
@@ -313,17 +322,7 @@
         :Params length: data length
         """
-        msg = "Error: Inconsistent data length."
-        if len(self.pos_x) != length:
-            raise ValueError, msg
-        if len(self.pos_y) != length:
-            raise ValueError, msg
-        if len(self.pos_z) != length:
-            raise ValueError, msg
-        if len(self.mx) != length:
-            raise ValueError, msg
-        if len(self.my) != length:
-            raise ValueError, msg
-        if len(self.mz) != length:
-            raise ValueError, msg
+        parts = (self.pos_x, self.pos_y, self.pos_z, self.mx, self.my, self.mz)
+        if any(len(v) != length for v in parts):
+            raise ValueError("Error: Inconsistent data length.")
 
     def remove_null_points(self, remove=False, recenter=False):
@@ -378,5 +377,5 @@
         try:
             input_f = open(path, 'rb')
-            buff = input_f.read()
+            buff = decode(input_f.read())
             lines = buff.split('\n')
             input_f.close()
@@ -384,19 +383,21 @@
             valueunit = None
             for line in lines:
-                toks = line.split()
+                line = line.strip()
                 # Read data
-                try:
-                    _mx = float(toks[0])
-                    _my = float(toks[1])
-                    _mz = float(toks[2])
-                    _mx = mag2sld(_mx, valueunit)
-                    _my = mag2sld(_my, valueunit)
-                    _mz = mag2sld(_mz, valueunit)
-                    mx = np.append(mx, _mx)
-                    my = np.append(my, _my)
-                    mz = np.append(mz, _mz)
-                except:
-                    # Skip non-data lines
-                    logger.error(sys.exc_value)
+                if line and not line.startswith('#'):
+                    try:
+                        toks = line.split()
+                        _mx = float(toks[0])
+                        _my = float(toks[1])
+                        _mz = float(toks[2])
+                        _mx = mag2sld(_mx, valueunit)
+                        _my = mag2sld(_my, valueunit)
+                        _mz = mag2sld(_mz, valueunit)
+                        mx = np.append(mx, _mx)
+                        my = np.append(my, _my)
+                        mz = np.append(mz, _mz)
+                    except Exception as exc:
+                        # Skip non-data lines
+                        logger.error(str(exc)+" when processing %r"%line)
                 #Reading Header; Segment count ignored
                 s_line = line.split(":", 1)
@@ -415,5 +416,5 @@
                         msg = "Error: \n"
                         msg += "We accept only m as meshunit"
-                        raise ValueError, msg
+                        raise ValueError(msg)
                 if s_line[0].lower().count("xbase") > 0:
                     xbase = s_line[1].lstrip()
@@ -482,8 +483,8 @@
             output.set_m(mx, my, mz)
             return output
-        except:
+        except Exception:
             msg = "%s is not supported: \n" % path
             msg += "We accept only Text format OMF file."
-            raise RuntimeError, msg
+            raise RuntimeError(msg)
 
 class PDBReader(object):
@@ -522,5 +523,5 @@
         try:
             input_f = open(path, 'rb')
-            buff = input_f.read()
+            buff = decode(input_f.read())
             lines = buff.split('\n')
             input_f.close()
@@ -536,5 +537,5 @@
                             float(line[12])
                             atom_name = atom_name[1].upper()
-                        except:
+                        except Exception:
                             if len(atom_name) == 4:
                                 atom_name = atom_name[0].upper()
@@ -559,5 +560,5 @@
                             vol = 1.0e+24 * atom.mass / atom.density / NA
                             vol_pix = np.append(vol_pix, vol)
-                        except:
+                        except Exception:
                             print("Error: set the sld of %s to zero"% atom_name)
                             sld_n = np.append(sld_n, 0.0)
@@ -573,5 +574,5 @@
                             try:
                                 int_val = int(val)
-                            except:
+                            except Exception:
                                 break
                             if int_val == 0:
@@ -592,5 +593,5 @@
                         y_lines.append(y_line)
                         z_lines.append(z_line)
-                except:
+                except Exception:
                     logger.error(sys.exc_value)
 
@@ -604,6 +605,6 @@
             output.sld_unit = '1/A^(2)'
             return output
-        except:
-            raise RuntimeError, "%s is not a sld file" % path
+        except Exception:
+            raise RuntimeError("%s is not a sld file" % path)
 
     def write(self, path, data):
@@ -657,8 +658,8 @@
                 elif ncols == 7:
                     vol_pix = None
-            except:
+            except Exception:
                 # For older version of numpy
                 input_f = open(path, 'rb')
-                buff = input_f.read()
+                buff = decode(input_f.read())
                 lines = buff.split('\n')
                 input_f.close()
@@ -683,7 +684,7 @@
                             _vol_pix = float(toks[7])
                             vol_pix = np.append(vol_pix, _vol_pix)
-                        except:
+                        except Exception:
                             vol_pix = None
-                    except:
+                    except Exception:
                         # Skip non-data lines
                         logger.error(sys.exc_value)
@@ -696,6 +697,6 @@
                 output.set_pixel_volumes(vol_pix)
             return output
-        except:
-            raise RuntimeError, "%s is not a sld file" % path
+        except Exception:
+            raise RuntimeError("%s is not a sld file" % path)
 
     def write(self, path, data):
@@ -706,7 +707,7 @@
         """
         if path is None:
-            raise ValueError, "Missing the file path."
+            raise ValueError("Missing the file path.")
         if data is None:
-            raise ValueError, "Missing the data to save."
+            raise ValueError("Missing the data to save.")
         x_val = data.pos_x
         y_val = data.pos_y
@@ -977,5 +978,5 @@
                 self.ynodes = int(ydist) + 1
                 self.znodes = int(zdist) + 1
-            except:
+            except Exception:
                 self.xnodes = None
                 self.ynodes = None
@@ -1012,5 +1013,5 @@
                 self.set_pixel_volumes(vol)
                 self.has_stepsize = True
-            except:
+            except Exception:
                 self.xstepsize = None
                 self.ystepsize = None
@@ -1057,6 +1058,6 @@
     reader = SLDReader()
     oreader = OMFReader()
-    output = reader.read(tfpath)
-    ooutput = oreader.read(ofpath)
+    output = decode(reader.read(tfpath))
+    ooutput = decode(oreader.read(ofpath))
     foutput = OMF2SLD()
     foutput.set_data(ooutput)
@@ -1099,5 +1100,5 @@
             break
     oreader = OMFReader()
-    ooutput = oreader.read(ofpath)
+    ooutput = decode(oreader.read(ofpath))
     foutput = OMF2SLD()
     foutput.set_data(ooutput)
Index: src/sas/sascalc/corfunc/corfunc_calculator.py
===================================================================
--- src/sas/sascalc/corfunc/corfunc_calculator.py	(revision a859f9916f07adbcfeb4bebd403b46e6f32d18a7)
+++ src/sas/sascalc/corfunc/corfunc_calculator.py	(revision 574adc767a9e86744546f8edd6a23dc4f81914ad)
@@ -88,5 +88,5 @@
         # Only process data of the class Data1D
         if not issubclass(data.__class__, Data1D):
-            raise ValueError, "Data must be of the type DataLoader.Data1D"
+            raise ValueError("Data must be of the type DataLoader.Data1D")
 
         # Prepare the data
@@ -161,5 +161,5 @@
             err = ("Incorrect transform type supplied, must be 'fourier'",
                 " or 'hilbert'")
-            raise ValueError, err
+            raise ValueError(err)
 
         self._transform_thread.queue()
Index: src/sas/sascalc/data_util/calcthread.py
===================================================================
--- src/sas/sascalc/data_util/calcthread.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/data_util/calcthread.py	(revision 574adc767a9e86744546f8edd6a23dc4f81914ad)
@@ -6,16 +6,19 @@
 from __future__ import print_function
 
-import thread
 import traceback
 import sys
 import logging
+try:
+    import _thread as thread
+except ImportError: # CRUFT: python 2 support
+    import thread
 
 if sys.platform.count("darwin") > 0:
     import time
     stime = time.time()
-    
+
     def clock():
         return time.time() - stime
-    
+
     def sleep(t):
         return time.sleep(t)
@@ -35,5 +38,5 @@
     CalcThread.__init__, passing it the keyword arguments for
     yieldtime, worktime, update and complete.
-    
+
     When defining the compute() method you need to include code which
     allows the GUI to run.  They are as follows: ::
@@ -211,5 +214,5 @@
             self._lock.release()
             self._time_for_update += 1e6  # No more updates
-            
+
             self.updatefn(**kwargs)
             sleep(self.yieldtime)
Index: src/sas/sascalc/data_util/nxsunit.py
===================================================================
--- src/sas/sascalc/data_util/nxsunit.py	(revision 8e9536f96bb3931f62eeba158ab01e1a3a25ded7)
+++ src/sas/sascalc/data_util/nxsunit.py	(revision 574adc767a9e86744546f8edd6a23dc4f81914ad)
@@ -13,5 +13,5 @@
 in the NeXus definition files.
 
-Unlike other units packages, this package does not carry the units along with 
+Unlike other units packages, this package does not carry the units along with
 the value but merely provides a conversion function for transforming values.
 
@@ -68,5 +68,5 @@
     Ack! Allows, e.g., Coulomb and coulomb even though Coulomb is not
     a unit because some NeXus files store it that way!
-    
+
     Returns a dictionary of names and scales.
     """
@@ -78,10 +78,10 @@
                         n=1e-9,p=1e-12,f=1e-15)
     map = {abbr:1}
-    map.update([(P+abbr,scale) for (P,scale) in short_prefix.iteritems()])
+    map.update([(P+abbr,scale) for (P,scale) in short_prefix.items()])
     for name in [unit,unit.capitalize()]:
         map.update({name:1,name+'s':1})
-        map.update([(P+name,scale) for (P,scale) in prefix.iteritems()])
-        map.update([(P+'*'+name,scale) for (P,scale) in prefix.iteritems()])
-        map.update([(P+name+'s',scale) for (P,scale) in prefix.iteritems()])
+        map.update([(P+name,scale) for (P,scale) in prefix.items()])
+        map.update([(P+'*'+name,scale) for (P,scale) in prefix.items()])
+        map.update([(P+name+'s',scale) for (P,scale) in prefix.items()])
     return map
 
@@ -91,6 +91,6 @@
     """
     map = {}
-    map.update([(name,scale) for name,scale in kw.iteritems()])
-    map.update([(name+'s',scale) for name,scale in kw.iteritems()])
+    map.update([(name,scale) for name,scale in kw.items()])
+    map.update([(name+'s',scale) for name,scale in kw.items()])
     return map
 
@@ -101,6 +101,6 @@
     * WARNING * this will incorrect transform 10^3 to 103.
     """
-    s.update((k.replace('^',''),v) 
-             for k,v in s.items()
+    s.update((k.replace('^',''),v)
+             for k, v in list(s.items())
              if '^' in k)
 
@@ -130,10 +130,10 @@
     temperature.update(_build_metric_units('Celcius', 'C'))
     temperature.update(_build_metric_units('celcius', 'C'))
-    
+
     charge = _build_metric_units('coulomb','C')
     charge.update({'microAmp*hour':0.0036})
 
     sld = { '10^-6 Angstrom^-2': 1e-6, 'Angstrom^-2': 1 }
-    Q = { 'invA': 1, 'invAng': 1, 'invAngstroms': 1, '1/A': 1, 
+    Q = { 'invA': 1, 'invAng': 1, 'invAngstroms': 1, '1/A': 1,
           '10^-3 Angstrom^-1': 1e-3, '1/cm': 1e-8, '1/m': 1e-10,
           'nm^-1': 0.1, '1/nm': 0.1, 'n_m^-1': 0.1 }
@@ -189,5 +189,6 @@
 
 def _check(expect,get):
-    if expect != get: raise ValueError, "Expected %s but got %s"%(expect,get)
+    if expect != get:
+        raise ValueError("Expected %s but got %s"%(expect, get))
      #print expect,"==",get
 
@@ -202,7 +203,10 @@
     _check(123,Converter('a.u.')(123,units='s')) # arbitrary units always returns the same value
     _check(123,Converter('a.u.')(123,units='')) # arbitrary units always returns the same value
-    try: Converter('help')
-    except KeyError: pass
-    else: raise Exception("unknown unit did not raise an error")
+    try:
+        Converter('help')
+    except KeyError:
+        pass
+    else:
+        raise Exception("unknown unit did not raise an error")
 
     # TODO: more tests
